Name: 		sysstat
Version: 	10.0.4
Release: 	%mkrel 1
Summary: 	Includes the sar and iostat system monitoring commands
License: 	GPLv2
Group: 		System/Configuration/Other
URL: 		http://pagesperso-orange.fr/sebastien.godard/
Source: 	http://pagesperso-orange.fr/sebastien.godard/%{name}-%{version}.tar.bz2
Patch0:		sysstat-10.0.3-fix-format-errors.patch

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts.
They enable system monitoring of disk, network, and other IO activity.

%prep
%setup -q
%patch0 -p1 -b .strfmt

%build
export sa_lib_dir=%{_libdir}/sa 
%configure2_5x 
make CFLAGS="$RPM_OPT_FLAGS" \
	PREFIX="%{_prefix}" \
	SA_LIB_DIR="%{_libdir}/sa" \
	MAN_DIR="%{_mandir}"


%install
rm -rf %{buildroot}

make MAN_DIR=%{_mandir} IGNORE_MAN_GROUP=y PREFIX=%{_prefix} DESTDIR=%{buildroot}  SA_LIB_DIR=%{_libdir}/sa install

rm -fr %{buildroot}%{_datadir}/doc/%{name}-%{version}

mkdir -p %{buildroot}/etc/{cron.daily,cron.hourly}

cat > %{buildroot}/etc/cron.daily/%name <<EOF
#!/bin/sh

# generate a daily summary of process accounting.
%_libdir/sa/sa2 -A &

EOF
chmod +x  %{buildroot}/etc/cron.daily/%name

cat > %{buildroot}/etc/cron.hourly/%name <<EOF
#!/bin/sh

# snapshot system usage every 10 minutes six times.
%_libdir/sa/sa1 600 6 &

EOF
chmod +x  %{buildroot}/etc/cron.hourly/%name

rm -fr %{buildroot}%_prefix/doc

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGES COPYING CREDITS FAQ README
%config(noreplace) %{_sysconfdir}/cron.hourly/sysstat
%config(noreplace) %{_sysconfdir}/cron.daily/sysstat
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat.ioconf
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat
%{_bindir}/*
%{_libdir}/sa
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
/var/log/sa


%changelog

* Sun Apr 15 2012 luigiwalser <luigiwalser> 10.0.4-1.mga2
+ Revision: 230968
- 10.0.4

* Mon Dec 12 2011 guillomovitch <guillomovitch> 10.0.3-1.mga2
+ Revision: 181009
- drop obsolete upgrade trigger
- don't remove logs on uninstallation, no other package do it
- new version
- spec cleanup

* Mon Feb 21 2011 ennael <ennael> 9.6.1-1.mga1
+ Revision: 55077
- imported package sysstat

